Bug 182130 - Text mode anaconda does not load the icelandic keymap
Text mode anaconda does not load the icelandic keymap
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
5
All Linux
medium Severity high
: ---
: ---
Assigned To: David Cantrell
Mike McLean
:
Depends On:
Blocks: FC5Blocker
  Show dependency treegraph
 
Reported: 2006-02-20 13:16 EST by Richard Allen
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-02 14:12:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Richard Allen 2006-02-20 13:16:26 EST
Description of problem: the IS (is-latin1) keymap is not loaded in text mode


Version-Release number of selected component (if applicable):
FC5 test3

How reproducible:
Every time

Steps to Reproduce:
1. Boot FC5 test3 boot.iso.
2. Select Icelandic and the Icelandic keymap.
3. Select a NFS server for install.
  
Actual results:
The US keymap is still in use untill the GUI kicks in.

Expected results:
The Icelandic keymap should be activated

Additional info:
Comment 1 David Cantrell 2006-03-02 11:11:21 EST
On the US keymap, the upper left hand key (labled with ~ and ` on a US qwerty
keyboard) will type `~ (unshifted then shifted).  How should that key behave on
the Icelandic map?  Or, is there a better test I could be using to see if the US
or Icelandic map is loaded?
Comment 2 Richard Allen 2006-03-02 11:27:36 EST
The best test I can think of is that Shift-7 should give the / character.
The key on the right of the "." key (where the / is on US keyboards is I think)
should give the "þ" character.
Comment 3 Richard Allen 2006-03-02 11:29:46 EST
Also, you can look at: 
http://www.language-keyboard.com/keyboards/icelandic_keyboard.jpg

Comment 4 David Cantrell 2006-03-02 14:12:25 EST
This was fixed posted FC5 Test 3.  I've verified that the Icelandic map is
loaded during the first stage of the installation process (e.g., when you select
NFS for the installation source).

One thing that I have noticed is that the screen widgets are not correct for
certain screens under Icelandic.  I've logged this as something to fix for FC6.

Thanks again.

Note You need to log in before you can comment on or make changes to this bug.